<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html version="-//W3C//DTD XHTML 1.1//EN" xsi:schemaLocation="http://www.w3.org/1999/xhtml http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd" xml:lang="en" lang="en" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sos="http://www.untiednations.com/SOS" xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8"/>
<!-- This file was created by sos_xml_to_sos_map_xhtml_1.xsl of SOS Map Prototype 1, which is free software licensed under the Apache License 2.0 (see https://gitlab.com/groupware-systems/sos/sos-experimental/tree/master/prototypes/sos-map-1/ and http://www.untiednations.com/community/plan-sos/). -->
<!--
Copyright 2018-2021 Christopher Gutteridge, Stephan Kreutzer

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

The data in the LQS.setLayout() argument is not part of this program,
it's user data that is only processed. A different license may apply.
-->
<title>SOS Map Prototype 1</title><meta content="initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" name="viewport"/><script type="text/javascript" src="js/jquery-1.12.4.min.js">//</script><script type="text/javascript" src="js/jquery-ui.js">//</script><script type="text/javascript" src="js/jquery.ui.touch-punch.min.js">//</script><script type="text/javascript" src="js/hammer.min.js">//</script><script type="text/javascript" src="js/lqs/core.js">//</script><script type="text/javascript" src="js/lqs/point.js">//</script><script type="text/javascript" src="js/lqs/line.js">//</script><script type="text/javascript" src="js/lqs/node.js">//</script><script type="text/javascript" src="js/lqs/link.js">//</script><script type="text/javascript" src="js/lqs/viewspec.js">//</script><script type="text/javascript" src="js/lqs/node-text.js">//</script><script type="text/javascript" src="js/lqs/node-html.js">//</script><script type="text/javascript" src="js/lqs/node-error.js">//</script><script type="text/javascript" src="js/lqs/node-embed.js">//</script><script type="text/javascript" src="js/lqs/node-cited.js">//</script><link rel="stylesheet" type="text/css" href="css/jquery-ui.css"/><link rel="stylesheet" type="text/css" href="css/sosmap.css"/><script type="text/javascript">
document.addEventListener('DOMContentLoaded', function() {
	var lqs = new LQS();
	// The data passed as argument to this call is not part of this program, it's user data and might be under a different license than this program. This program also doesn't depend on it or link it as a library, it's merely processed.
	lqs.setLayout( {
		nodes: [
{id: '30', pos: { x: 0 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Grid Prototype 1 interface doesn’t allow navigation to groups of POIs other than the current one if they’re not connected', type: 'text', text: 'The grid interface to navigate/traverse a graph/network doesn’t provide a way to reach from one group of connected POIs to another group of connected POIs if no POIs from the two separate groups share a connection between the groups. The only way to access separate groups is via the fragment identifier if the user knows the ID of a POI of the group, which is very inconvenient and not an interface control.'},{id: '1', pos: { x: 1 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'The browser is sandboxed', type: 'text', text: 'Our prototypes are implemented in the browser. The issue is the “Same Origin Policy” and the problem that Cross-Origin Resource Sharing requires the cooperation of remote, external entities in advance.'},{id: '2', pos: { x: 2 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Remote code execution', type: 'text', text: 'The browser executes unchecked code retrieved from remote, external entities. Such code can be malicious. The browser needs to sandbox the execution in order to protect the computer from compromization. Reasons for it are that no software installation is required in advance (dynamic loading and execution on demand), and that the operating systems running the majority of browsers lack the concept of software distribution repositories where code is submitted and checked, as most of the remote code is proprietary, as well as the operating system that supports this model of denying digital freedom to the user, so the code must be obtained from the original author and can’t be fixed (if broken or malicious), to establish and maintain the dependency.'},{id: '13', pos: { x: 3 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Manual software installation is inconvenient', type: 'text', text: ''},{id: '20', pos: { x: 4 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Lock-in dependency on a single online server/domain/storage/service', type: 'text', text: ''},{id: '3', pos: { x: 5 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Leakage of confidential data', type: 'text', text: 'If the browser gets and executes unchecked code from various remote, external entities, it could send the confidential data hold by the other code back from where itself came from and leak it.'},{id: '4', pos: { x: 6 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Business model of online service dependency', type: 'text', text: 'Browser vendors tend to be engaged in some form of SaaS online service lock-in dependency business model, so it would harm their business interest if the sandbox wouldn’t enforce the use of these services and instead would allow to make use of local alternatives.'},{id: '5', pos: { x: 7 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Limitations for offline use', type: 'text', text: 'Data can’t be loaded from or stored to the local hard drive. It’s impossible to interoperate with existing other software on the system. It’s impossible to retrieve data from or submit data to a remote server.'},{id: '6', pos: { x: 8 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Quasi-reqirement of online use', type: 'text', text: 'No data exchange can happen conveniently if it isn’t done with the original remote, external server that delivered the web application files. The operator of the server that delivered the web application files will be faced with responsibilities like data protection, preventing data loss, security, quality of service (uptime and providing the service, so if the service is discontinued, people will loose their work), demands of law enforcement, etc. If the user doesn’t have connectivity, some functions won’t work, for example: uploading a file in order to share/publish and then retrieve it again from the original remote server, because local files can’t be added to the local web software.'},{id: '7', pos: { x: 9 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'No neutral repository', type: 'text', text: 'The repository for the prototypes and examples is published under the “groupware-systems” group: https://gitlab.com/groupware-systems/sos/sos-experimental'},{id: '8', pos: { x: 10 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Bootstrapping', type: 'text', text: 'No prior discussion, organizational structures or planning, instead: fast prototyping and ad-hoc setup to reduce the costs of potential failure. Adjust dynamically, build for demand, and not find out after a lot of investment that it turns out to be the wrong result. A main concept of Douglas Engelbart, also known from the Agile Movement, also known from the Lean Movement.'},{id: '27', pos: { x: 11 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Practical work is difficult and expensive', type: 'text', text: 'It is very difficult and expensive to influence the manifest design of existing, real systems according to a theoretical plan. Costs can be time, health, timing/opportunity, enjoyment, mental capacity, etc.'},{id: '9', pos: { x: 12 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Bad for linking', type: 'text', text: 'Links to the repository will lead to skreutzer’s account. A redirect likely can’t be set up later, so moving the repository later likely will break existing links.'},{id: '10', pos: { x: 13 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Bad context', type: 'text', text: 'It’s only a single personal repository on skreutzer’s account, where the context and environment holds many other repositories as well that aren’t related to SOS, so somebody who explores the repository wouldn’t find other SOS material, but unrelated projects, which is bad for the discoverability of the SOS projects. Other SOS repositories aren’t collected in one place, but spread and mixed with other stuff, which is confusing. There is no one-stop-shop authoritative place where all the materials can be found.'},{id: '32', pos: { x: 14 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Bad for community management', type: 'text', text: 'It’s difficult and risky for other people to join and participate, if their contributions are bound to a personal account that’s not related to SOS. Connections might get lost for SOS if a transition needs to happen later.'},{id: '33', pos: { x: 15 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Bus factor', type: 'text', text: 'With git, forking is easy and cheap, so it’s not an effect of too much importance yet that the experimental repository for examples and prototypes is operated by a single person and in case of mishap, malicious actions or loss of availability/interest might become inacessible.'},{id: '11', pos: { x: 16 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'No connections from SOS', type: 'text', text: 'There’s no connection from the wcharlton user account nor from the official website http://www.untiednations.com/community/plan-sos/ to the repository, which is bad for discoverability and relies solely on wcharlton’s responsibility to indicate the existence of it, in terms of bus factor.'},{id: '12', pos: { x: 17 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Unpublished material', type: 'text', text: 'Some of William Charlton’s material isn’t published like the grid interface mockup drawings, HTML grid interface mockup, ASPX server prototype, the “SOS - Meeting for Untied Nations/The Ecology of Systems Thinking” and “SOS - Meeting for Cape Town Hackathon” files with their corresponding XSLTs.'},{id: '14', pos: { x: 18 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'No repository', type: 'text', text: 'In lack of a shared repository or a personal repository, there is no good place to publish them.'},{id: '15', pos: { x: 19 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Copyright', type: 'text', text: 'For the publication of the material to make sense and be useful, it should be licensed properly. This requires William Charlton to consider the licenses and deciding on one or several of them.'},{id: '16', pos: { x: 20 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Incompleteness, not open', type: 'text', text: 'People who look into the project via the site or the sos-experimental repository won’t be able to get an overview of what has been produced so far. Potential collaborators or independent contributors won’t have access to all the files and might start to waste time by producing similar material which was already produced, but isn’t available.'},{id: '17', pos: { x: 21 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'No versioning', type: 'text', text: 'It’s difficult to keep track of the different versions of a file and it can’t easily be established from a given file if it is current or an historic version.'},{id: '18', pos: { x: 22 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Backup is difficult', type: 'text', text: 'It takes a lot of effort to spread the individual files in order to have copies of the whole collection everywhere as a backup mechanism if the original repository or (e-mail) accounts become unavailable.'},{id: '19', pos: { x: 23 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'SOS formats differ', type: 'text', text: 'Stephan Kreutzer’s example files differ from William Charlton’s example files. Stephan Kreutzer’s prototypes expect a different format than William Charlton’s prototypes expect. Stephan Kreutzer’s example files don’t validate according to the official XSD.'},{id: '21', pos: { x: 24 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Not interoperable', type: 'text', text: 'Because of differing formats, the prototypes are incompatible and example files are specific to only one of the two prototype groups. The examples can’t be demonstrated to work with all of the prototypes.'},{id: '23', pos: { x: 25 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'SOS is also a human system tool', type: 'text', text: 'SOS planning is a method/process/procedure, not just a software tool. It’s intended to be used in specific contexts and setups. The prototypes don’t necessarily reflect the methodological context yet.'},{id: '24', pos: { x: 26 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Is pre-existing', type: 'text', text: 'The Meeting is in William Charlton’s example files and prototypes that pre-existed the creation of the prototypes and examples.'},{id: '25', pos: { x: 27 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Meetings not reflected in all examples and prototypes', type: 'text', text: 'Stephan Kreutzer’s examples and prototypes don’t reflect the concept of the Meeting, which leads to incompatibility with William Charlton’s examples and prototypes that do implement the concept of the Meeting.'},{id: '26', pos: { x: 28 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Progress isn’t visible', type: 'text', text: 'Visitors and potential collaborators/contributors can’t find out about the progress of the project.'},{id: '28', pos: { x: 29 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Not very engaging', type: 'text', text: 'Visitors, potential collaborators and potential contributors might not get attracted because of thinking that the project is inactive.'},{id: '29', pos: { x: 30 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'No production system', type: 'text', text: 'The examples and prototypes are somewhat fixed/frozen, they serve as mere examples that shouldn’t be polluted with expansion as a result of real-world usage in order to remain useful and concise, with focus on specific features and characteristics. For the real bootstrapping of this project effort, there’s no production system/environment that also allows organizational enhancements like notifications or versioning to track the history.'},{id: '31', pos: { x: 31 * 0, y: 0 }, size: { width: 200, height: 200 }, title: 'Progress is limited/blocked', type: 'text', text: 'Bootstrapping can’t improve and advance to a higher stage as the existing results aren’t supposed to and don’t contribute to the actual project effort itself.'},
		],
		links: [
{label:"???",id:"connection-8-30",subject:{node:"8"},object:{node:"30"}},{label:"???",id:"connection-2-1",subject:{node:"2"},object:{node:"1"}},{label:"???",id:"connection-3-1",subject:{node:"3"},object:{node:"1"}},{label:"???",id:"connection-4-1",subject:{node:"4"},object:{node:"1"}},{label:"???",id:"connection-13-2",subject:{node:"13"},object:{node:"2"}},{label:"???",id:"connection-20-2",subject:{node:"20"},object:{node:"2"}},{label:"???",id:"connection-20-4",subject:{node:"20"},object:{node:"4"}},{label:"???",id:"connection-1-5",subject:{node:"1"},object:{node:"5"}},{label:"???",id:"connection-1-6",subject:{node:"1"},object:{node:"6"}},{label:"???",id:"connection-8-7",subject:{node:"8"},object:{node:"7"}},{label:"???",id:"connection-27-8",subject:{node:"27"},object:{node:"8"}},{label:"???",id:"connection-7-9",subject:{node:"7"},object:{node:"9"}},{label:"???",id:"connection-7-10",subject:{node:"7"},object:{node:"10"}},{label:"???",id:"connection-7-32",subject:{node:"7"},object:{node:"32"}},{label:"???",id:"connection-7-33",subject:{node:"7"},object:{node:"33"}},{label:"???",id:"connection-7-11",subject:{node:"7"},object:{node:"11"}},{label:"???",id:"connection-8-12",subject:{node:"8"},object:{node:"12"}},{label:"???",id:"connection-14-12",subject:{node:"14"},object:{node:"12"}},{label:"???",id:"connection-15-12",subject:{node:"15"},object:{node:"12"}},{label:"???",id:"connection-12-16",subject:{node:"12"},object:{node:"16"}},{label:"???",id:"connection-12-17",subject:{node:"12"},object:{node:"17"}},{label:"???",id:"connection-12-18",subject:{node:"12"},object:{node:"18"}},{label:"???",id:"connection-8-19",subject:{node:"8"},object:{node:"19"}},{label:"???",id:"connection-19-21",subject:{node:"19"},object:{node:"21"}},{label:"???",id:"connection-25-21",subject:{node:"25"},object:{node:"21"}},{label:"???",id:"connection-23-25",subject:{node:"23"},object:{node:"25"}},{label:"???",id:"connection-24-25",subject:{node:"24"},object:{node:"25"}},{label:"???",id:"connection-8-26",subject:{node:"8"},object:{node:"26"}},{label:"???",id:"connection-26-28",subject:{node:"26"},object:{node:"28"}},{label:"???",id:"connection-8-29",subject:{node:"8"},object:{node:"29"}},{label:"???",id:"connection-29-31",subject:{node:"29"},object:{node:"31"}},{label:"???",id:"connection-30-31",subject:{node:"30"},object:{node:"31"}},{label:"???",id:"connection-21-31",subject:{node:"21"},object:{node:"31"}},
		]
	});
	lqs.updateAllPositions();
	lqs.centrePage();
});
</script></head><body/></html>
